.TH mkhtmlindex 1 "@PACKAGE_STRING@"
.SH NAME
mkhtmlindex \- generate index files for HTML man pages
.SH SYNOPSIS
.B mkhtmlindex
.I htmlmandir
.SH DESCRIPTION
The
.I mkhtmlindex
program generates index files for a directory of HTML-formatted manual
pages.
It searches for files whose names are of the form \(lqname.1.html\(rq,
and outputs index files \(lqmanindex1.html\(rq, \(lqmanindex.2.html\(rq,
and so on, one for each manual volume.
Empty index files will be removed.
Names and descriptions are found by scanning the first
.I <H2>
section of each page.
.SH OPTIONS
.I mkhtmlindex
takes only one argument: the directory to process.
.SH NOTES
This utility is currently rather specific to X manual pages.
In particular, the format of the index files it outputs is not configurable,
nor is the HTML formatting it expects of manual pages.
.SH AUTHOR
The version of the
.I mkhtmlindex
included in this X.Org Foundation release was originally written
by David Dawes wrote as a part of XFree86.
.PP
Colin Watson wrote this manual page, originally for the Debian Project.
